### Method

# Gio DBusConnection get_guid

since: 2.26

#### Declaration

    const gchar*
    g_dbus_connection_get_guid (
      GDBusConnection* connection
    )

#### Description

The GUID of the peer performing the role of server when authenticating. See `GDBusConnection:guid` for more details.

Available since: 2.26

Gets property | `Gio.DBusConnection:guid`

#### Return value

Type: `const gchar*`

The GUID. Do not free this string, it is owned by `connection`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.